incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roland Zwaga <rol...@stackandheap.com>
Subject Fwd: AFI works like a charm, build works fine, getting a runtime error though...
Date Wed, 25 Jul 2012 10:37:10 GMT
>  Om: Thank you for your work on the Apache Flex Installer. I was able to
> download and run the installer and get the SDK working on my Flash Builder.

Great work Om!
I downloaded and installed the AFI (mad to manually uninstall an older
version first though) and the installation
went smoothly. I then tried to build the enterprise AIR system that
I'm working on at the moment and everything
built without errors.

Until I actually ran the application and received this error:
VerifyError: Error #1014: Class mx.charts.chartClasses::ChartElement
could not be found.

Now, the AIR app I'm running is a bit special, I actually have set all
of the AIR and Flex dependencies to 'External' so that
they're loaded as RSLs. (This is to make sure the AIR app loads all of
the classes).
The reason for this is because my system is a modular one that loads
sub applications @runtime, the sub apps should not
have any Flex or AIR specific classes compiled into them since this
would create duplication and bloated swfs.
The production app is compiled using Maven and sets all of the AIR and
Flex dependencies to 'internal', so the production
version ends up with everything compiled into one monolithic executable.

So, this problem probably only occurs during development (this is
because, AFAIK, you cannot set dependencies to 'Internal'
in Flashbuilder).

Strangely enough, I did not have this issue with the 4.6 SDK.

Does anyone have suggestions for me perhaps?

cheers!

Roland

Mime
View raw message